import marimo

__generated_with = "0.16.5"
app = marimo.App(width="medium")


@app.cell
def _():
    import marimo as mo
    return


@app.cell
def _():
    from pif_compiler.services.srv_cosing import cosing_entry
    from pif_compiler.classes.models import CosingInfo
    return CosingInfo, cosing_entry


@app.cell
def _():
    cas = '64-17-5'
    return (cas,)


@app.cell
def _(cas, cosing_entry):
    data = cosing_entry(cas)
    return (data,)


@app.cell
def _(data):
    data
    return


@app.cell
def _(CosingInfo, data):
    test = CosingInfo(**data)
    return (test,)


@app.cell
def _(test):
    test
    return


if __name__ == "__main__":
    app.run()
